Utilities
=========

Common Models
^^^^^^^^^^^^^

.. automodule:: nupic.frameworks.opf.common_models.cluster_params
   :members:

Inference Utilities
^^^^^^^^^^^^^^^^^^^

.. autoclass:: nupic.frameworks.opf.opf_utils.InferenceType
   :members:
   :show-inheritance:

.. autoclass:: nupic.frameworks.opf.opf_utils.InferenceElement
   :members:
   :show-inheritance:

Input Utilities
^^^^^^^^^^^^^^^

.. autoclass:: nupic.frameworks.opf.opf_utils.SensorInput
   :members:

.. autoclass:: nupic.frameworks.opf.opf_utils.ClassifierInput
   :members:


Helpers
^^^^^^^

.. automodule:: nupic.frameworks.opf.helpers

.. automethod:: nupic.frameworks.opf.helpers.loadExperiment

.. automethod:: nupic.frameworks.opf.helpers.loadExperimentDescriptionScriptFromDir

.. automethod:: nupic.frameworks.opf.helpers.getExperimentDescriptionInterfaceFromModule

.. automethod:: nupic.frameworks.opf.opf_utils.validateOpfJsonValue

.. automethod:: nupic.frameworks.opf.opf_utils.initLogger

.. automethod:: nupic.frameworks.opf.opf_utils.matchPatterns
